(function() {
    var SettingService = function() {
        var self = this;
        
        var settings = {
            napiUrl: "http://127.0.0.1:9500/"
        }

        self.getValue = function(key) {
            return settings[key];
        }

        self.setValue = function(key, value) {
            return settings[key] = value;
        }
    }

    window.services = window.services || {};
    window.services.settingService = window.services.settingService || new SettingService();
}());
